Fix Scilab minimal compilation after:
[scilab.git] / scilab / modules / umfpack / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
19 # Copyright (C) 2008 - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
20 #
21 # This file must be used under the terms of the CeCILL.
22 # This source file is licensed as described in the file COPYING, which
23 # you should have received as part of this distribution.  The terms
24 # are also available at
25 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
26
27 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
28 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
29 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
30 #
31 # This file must be used under the terms of the CeCILL.
32 # This source file is licensed as described in the file COPYING, which
33 # you should have received as part of this distribution.  The terms
34 # are also available at
35 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
36 #
37
38 ##########
39 ### Makefile included stuff
40 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
41 ##########
42
43
44 VPATH = @srcdir@
45 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
46 am__make_running_with_option = \
47   case $${target_option-} in \
48       ?) ;; \
49       *) echo "am__make_running_with_option: internal error: invalid" \
50               "target option '$${target_option-}' specified" >&2; \
51          exit 1;; \
52   esac; \
53   has_opt=no; \
54   sane_makeflags=$$MAKEFLAGS; \
55   if $(am__is_gnu_make); then \
56     sane_makeflags=$$MFLAGS; \
57   else \
58     case $$MAKEFLAGS in \
59       *\\[\ \   ]*) \
60         bs=\\; \
61         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
62           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
63     esac; \
64   fi; \
65   skip_next=no; \
66   strip_trailopt () \
67   { \
68     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
69   }; \
70   for flg in $$sane_makeflags; do \
71     test $$skip_next = yes && { skip_next=no; continue; }; \
72     case $$flg in \
73       *=*|--*) continue;; \
74         -*I) strip_trailopt 'I'; skip_next=yes;; \
75       -*I?*) strip_trailopt 'I';; \
76         -*O) strip_trailopt 'O'; skip_next=yes;; \
77       -*O?*) strip_trailopt 'O';; \
78         -*l) strip_trailopt 'l'; skip_next=yes;; \
79       -*l?*) strip_trailopt 'l';; \
80       -[dEDm]) skip_next=yes;; \
81       -[JT]) skip_next=yes;; \
82     esac; \
83     case $$flg in \
84       *$$target_option*) has_opt=yes; break;; \
85     esac; \
86   done; \
87   test $$has_opt = yes
88 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
89 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
90 pkgdatadir = $(datadir)/@PACKAGE@
91 pkgincludedir = $(includedir)/@PACKAGE@
92 pkglibdir = $(libdir)/@PACKAGE@
93 pkglibexecdir = $(libexecdir)/@PACKAGE@
94 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
95 install_sh_DATA = $(install_sh) -c -m 644
96 install_sh_PROGRAM = $(install_sh) -c
97 install_sh_SCRIPT = $(install_sh) -c
98 INSTALL_HEADER = $(INSTALL_DATA)
99 transform = $(program_transform_name)
100 NORMAL_INSTALL = :
101 PRE_INSTALL = :
102 POST_INSTALL = :
103 NORMAL_UNINSTALL = :
104 PRE_UNINSTALL = :
105 POST_UNINSTALL = :
106 build_triplet = @build@
107 host_triplet = @host@
108 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
109         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
110         $(top_srcdir)/config/depcomp
111 @NEED_JAVA_TRUE@am__append_1 = java
112 subdir = modules/umfpack
113 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
114 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
115         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
116         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
117         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
118         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
119         $(top_srcdir)/m4/intel_compiler.m4 \
120         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
121         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
122         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
123         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
124         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
125         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
126         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
127         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
128         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
129         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
130         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
131 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
132         $(ACLOCAL_M4)
133 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
134 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
135 CONFIG_CLEAN_FILES =
136 CONFIG_CLEAN_VPATH_FILES =
137 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
138 am__vpath_adj = case $$p in \
139     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
140     *) f=$$p;; \
141   esac;
142 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
143 am__install_max = 40
144 am__nobase_strip_setup = \
145   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
146 am__nobase_strip = \
147   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
148 am__nobase_list = $(am__nobase_strip_setup); \
149   for p in $$list; do echo "$$p $$p"; done | \
150   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
151   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
152     if (++n[$$2] == $(am__install_max)) \
153       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
154     END { for (dir in files) print dir, files[dir] }'
155 am__base_list = \
156   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
157   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
158 am__uninstall_files_from_dir = { \
159   test -z "$$files" \
160     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
161     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
162          $(am__cd) "$$dir" && rm -f $$files; }; \
163   }
164 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
165         "$(DESTDIR)$(libsciumfpack_la_etcdir)" \
166         "$(DESTDIR)$(libsciumfpack_la_rootdir)" \
167         "$(DESTDIR)$(libsciumfpack_la_sci_gatewaydir)"
168 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
169 libsciumfpack_algo_la_LIBADD =
170 am__libsciumfpack_algo_la_SOURCES_DIST = src/noumfpack/noumfpack.c \
171         src/c/taucs_scilab.c src/c/common_umfpack.c \
172         src/c/with_umfpack.c
173 am__dirstamp = $(am__leading_dot)dirstamp
174 @UMFPACK_FALSE@am__objects_1 = src/noumfpack/libsciumfpack_algo_la-noumfpack.lo
175 @UMFPACK_TRUE@am__objects_1 =  \
176 @UMFPACK_TRUE@  src/c/libsciumfpack_algo_la-taucs_scilab.lo \
177 @UMFPACK_TRUE@  src/c/libsciumfpack_algo_la-common_umfpack.lo \
178 @UMFPACK_TRUE@  src/c/libsciumfpack_algo_la-with_umfpack.lo
179 @UMFPACK_TRUE@am_libsciumfpack_algo_la_OBJECTS = $(am__objects_1)
180 libsciumfpack_algo_la_OBJECTS = $(am_libsciumfpack_algo_la_OBJECTS)
181 AM_V_lt = $(am__v_lt_@AM_V@)
182 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
183 am__v_lt_0 = --silent
184 am__v_lt_1 = 
185 @UMFPACK_TRUE@am_libsciumfpack_algo_la_rpath =
186 am__DEPENDENCIES_1 =
187 @UMFPACK_TRUE@libsciumfpack_la_DEPENDENCIES = libsciumfpack-algo.la \
188 @UMFPACK_TRUE@  $(am__DEPENDENCIES_1)
189 am__libsciumfpack_la_SOURCES_DIST = src/noumfpack/noumfpack.c \
190         src/c/taucs_scilab.c src/c/common_umfpack.c \
191         src/c/with_umfpack.c sci_gateway/c/gw_umfpack.c \
192         sci_gateway/c/sci_res_with_prec.c \
193         sci_gateway/c/sci_taucs_chdel.c \
194         sci_gateway/c/sci_taucs_chfact.c \
195         sci_gateway/c/sci_taucs_chget.c \
196         sci_gateway/c/sci_taucs_chinfo.c \
197         sci_gateway/c/sci_taucs_chsolve.c \
198         sci_gateway/c/sci_umf_ludel.c sci_gateway/c/sci_umf_lufact.c \
199         sci_gateway/c/sci_umf_luget.c sci_gateway/c/sci_umf_luinfo.c \
200         sci_gateway/c/sci_umf_lusolve.c sci_gateway/c/sci_umfpack.c
201 @UMFPACK_FALSE@am__objects_2 =  \
202 @UMFPACK_FALSE@ src/noumfpack/libsciumfpack_la-noumfpack.lo
203 @UMFPACK_TRUE@am__objects_2 = src/c/libsciumfpack_la-taucs_scilab.lo \
204 @UMFPACK_TRUE@  src/c/libsciumfpack_la-common_umfpack.lo \
205 @UMFPACK_TRUE@  src/c/libsciumfpack_la-with_umfpack.lo
206 @UMFPACK_TRUE@am__objects_3 =  \
207 @UMFPACK_TRUE@  sci_gateway/c/libsciumfpack_la-gw_umfpack.lo \
208 @UMFPACK_TRUE@  sci_gateway/c/libsciumfpack_la-sci_res_with_prec.lo \
209 @UMFPACK_TRUE@  sci_gateway/c/libsciumfpack_la-sci_taucs_chdel.lo \
210 @UMFPACK_TRUE@  sci_gateway/c/libsciumfpack_la-sci_taucs_chfact.lo \
211 @UMFPACK_TRUE@  sci_gateway/c/libsciumfpack_la-sci_taucs_chget.lo \
212 @UMFPACK_TRUE@  sci_gateway/c/libsciumfpack_la-sci_taucs_chinfo.lo \
213 @UMFPACK_TRUE@  sci_gateway/c/libsciumfpack_la-sci_taucs_chsolve.lo \
214 @UMFPACK_TRUE@  sci_gateway/c/libsciumfpack_la-sci_umf_ludel.lo \
215 @UMFPACK_TRUE@  sci_gateway/c/libsciumfpack_la-sci_umf_lufact.lo \
216 @UMFPACK_TRUE@  sci_gateway/c/libsciumfpack_la-sci_umf_luget.lo \
217 @UMFPACK_TRUE@  sci_gateway/c/libsciumfpack_la-sci_umf_luinfo.lo \
218 @UMFPACK_TRUE@  sci_gateway/c/libsciumfpack_la-sci_umf_lusolve.lo \
219 @UMFPACK_TRUE@  sci_gateway/c/libsciumfpack_la-sci_umfpack.lo
220 @UMFPACK_FALSE@am_libsciumfpack_la_OBJECTS = $(am__objects_2)
221 @UMFPACK_TRUE@am_libsciumfpack_la_OBJECTS = $(am__objects_3)
222 libsciumfpack_la_OBJECTS = $(am_libsciumfpack_la_OBJECTS)
223 libsciumfpack_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
224         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
225         $(AM_CFLAGS) $(CFLAGS) $(libsciumfpack_la_LDFLAGS) $(LDFLAGS) \
226         -o $@
227 AM_V_P = $(am__v_P_@AM_V@)
228 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
229 am__v_P_0 = false
230 am__v_P_1 = :
231 AM_V_GEN = $(am__v_GEN_@AM_V@)
232 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
233 am__v_GEN_0 = @echo "  GEN     " $@;
234 am__v_GEN_1 = 
235 AM_V_at = $(am__v_at_@AM_V@)
236 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
237 am__v_at_0 = @
238 am__v_at_1 = 
239 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
240 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
241 am__depfiles_maybe = depfiles
242 am__mv = mv -f
243 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
244         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
245 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
246         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
247         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
248         $(AM_CFLAGS) $(CFLAGS)
249 AM_V_CC = $(am__v_CC_@AM_V@)
250 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
251 am__v_CC_0 = @echo "  CC      " $@;
252 am__v_CC_1 = 
253 CCLD = $(CC)
254 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
255         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
256         $(AM_LDFLAGS) $(LDFLAGS) -o $@
257 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
258 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
259 am__v_CCLD_0 = @echo "  CCLD    " $@;
260 am__v_CCLD_1 = 
261 SOURCES = $(libsciumfpack_algo_la_SOURCES) $(libsciumfpack_la_SOURCES)
262 DIST_SOURCES = $(am__libsciumfpack_algo_la_SOURCES_DIST) \
263         $(am__libsciumfpack_la_SOURCES_DIST)
264 am__can_run_installinfo = \
265   case $$AM_UPDATE_INFO_DIR in \
266     n|no|NO) false;; \
267     *) (install-info --version) >/dev/null 2>&1;; \
268   esac
269 DATA = $(libsciumfpack_la_etc_DATA) $(libsciumfpack_la_root_DATA) \
270         $(libsciumfpack_la_sci_gateway_DATA)
271 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
272 # Read a list of newline-separated strings from the standard input,
273 # and print each of them once, without duplicates.  Input order is
274 # *not* preserved.
275 am__uniquify_input = $(AWK) '\
276   BEGIN { nonempty = 0; } \
277   { items[$$0] = 1; nonempty = 1; } \
278   END { if (nonempty) { for (i in items) print i; }; } \
279 '
280 # Make sure the list of sources is unique.  This is necessary because,
281 # e.g., the same source file might be shared among _SOURCES variables
282 # for different programs/libraries.
283 am__define_uniq_tagged_files = \
284   list='$(am__tagged_files)'; \
285   unique=`for i in $$list; do \
286     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
287   done | $(am__uniquify_input)`
288 ETAGS = etags
289 CTAGS = ctags
290 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
291 ACLOCAL = @ACLOCAL@
292 ALL_LINGUAS = @ALL_LINGUAS@
293 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
294 AMTAR = @AMTAR@
295 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
296 ANT = @ANT@
297 ANTLR = @ANTLR@
298 AR = @AR@
299 ARPACK_LIBS = @ARPACK_LIBS@
300 ASM3 = @ASM3@
301 AUTOCONF = @AUTOCONF@
302 AUTOHEADER = @AUTOHEADER@
303 AUTOMAKE = @AUTOMAKE@
304 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
305 AWK = @AWK@
306 BATIK = @BATIK@
307 BLAS_LIBS = @BLAS_LIBS@
308 CC = @CC@
309 CCACHE = @CCACHE@
310 CCDEPMODE = @CCDEPMODE@
311 CFLAGS = @CFLAGS@
312 CHECKSTYLE = @CHECKSTYLE@
313 COBERTURA = @COBERTURA@
314 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
315 COMMONS_IO = @COMMONS_IO@
316 COMMONS_LOGGING = @COMMONS_LOGGING@
317 CPP = @CPP@
318 CPPFLAGS = @CPPFLAGS@
319 CURL_CFLAGS = @CURL_CFLAGS@
320 CURL_CONFIG = @CURL_CONFIG@
321 CURL_LIBS = @CURL_LIBS@
322 CURL_VERSION = @CURL_VERSION@
323 CXX = @CXX@
324 CXXCPP = @CXXCPP@
325 CXXDEPMODE = @CXXDEPMODE@
326 CXXFLAGS = @CXXFLAGS@
327 CYGPATH_W = @CYGPATH_W@
328 DEFS = @DEFS@
329 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
330 DEPDIR = @DEPDIR@
331 DLLTOOL = @DLLTOOL@
332 DOCBOOK_ROOT = @DOCBOOK_ROOT@
333 DOXYGEN_BIN = @DOXYGEN_BIN@
334 DSYMUTIL = @DSYMUTIL@
335 DUMPBIN = @DUMPBIN@
336 ECHO_C = @ECHO_C@
337 ECHO_N = @ECHO_N@
338 ECHO_T = @ECHO_T@
339 ECJ = @ECJ@
340 EGREP = @EGREP@
341 EXEEXT = @EXEEXT@
342 F77 = @F77@
343 FFLAGS = @FFLAGS@
344 FFTW3_LIB = @FFTW3_LIB@
345 FFTW_ENABLE = @FFTW_ENABLE@
346 FGREP = @FGREP@
347 FLEXDOCK = @FLEXDOCK@
348 FLIBS = @FLIBS@
349 FOP = @FOP@
350 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
351 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
352 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
353 FREEHEP_IO = @FREEHEP_IO@
354 FREEHEP_UTIL = @FREEHEP_UTIL@
355 GENHTML = @GENHTML@
356 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
357 GIWS_BIN = @GIWS_BIN@
358 GLUEGEN2_RT = @GLUEGEN2_RT@
359 GMSGFMT = @GMSGFMT@
360 GMSGFMT_015 = @GMSGFMT_015@
361 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
362 GREP = @GREP@
363 GUI_ENABLE = @GUI_ENABLE@
364 HDF5_CFLAGS = @HDF5_CFLAGS@
365 HDF5_LIBS = @HDF5_LIBS@
366 HELP_ENABLE = @HELP_ENABLE@
367 INSTALL = @INSTALL@
368 INSTALL_DATA = @INSTALL_DATA@
369 INSTALL_PROGRAM = @INSTALL_PROGRAM@
370 INSTALL_SCRIPT = @INSTALL_SCRIPT@
371 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
372 INTLLIBS = @INTLLIBS@
373 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
374 JAR = @JAR@
375 JAVA = @JAVA@
376 JAVAC = @JAVAC@
377 JAVAC_DEBUG = @JAVAC_DEBUG@
378 JAVADOC = @JAVADOC@
379 JAVAH = @JAVAH@
380 JAVASCI_ENABLE = @JAVASCI_ENABLE@
381 JAVA_ENABLE = @JAVA_ENABLE@
382 JAVA_G = @JAVA_G@
383 JAVA_HOME = @JAVA_HOME@
384 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
385 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
386 JDB = @JDB@
387 JEUCLID_CORE = @JEUCLID_CORE@
388 JGRAPHX = @JGRAPHX@
389 JHALL = @JHALL@
390 JLATEXMATH = @JLATEXMATH@
391 JLATEXMATH_FOP = @JLATEXMATH_FOP@
392 JOGL2 = @JOGL2@
393 JROSETTA_API = @JROSETTA_API@
394 JROSETTA_ENGINE = @JROSETTA_ENGINE@
395 JUNIT4 = @JUNIT4@
396 LAPACK_LIBS = @LAPACK_LIBS@
397 LCOV = @LCOV@
398 LD = @LD@
399 LDFLAGS = @LDFLAGS@
400 LIBICONV = @LIBICONV@
401 LIBINTL = @LIBINTL@
402 LIBM = @LIBM@
403 LIBOBJS = @LIBOBJS@
404 LIBS = @LIBS@
405 LIBTOOL = @LIBTOOL@
406 LIPO = @LIPO@
407 LN_S = @LN_S@
408 LOGGING_LEVEL = @LOGGING_LEVEL@
409 LOOKS = @LOOKS@
410 LTLIBICONV = @LTLIBICONV@
411 LTLIBINTL = @LTLIBINTL@
412 LTLIBOBJS = @LTLIBOBJS@
413 MAINT = @MAINT@
414 MAKEINFO = @MAKEINFO@
415 MANIFEST_TOOL = @MANIFEST_TOOL@
416 MATIO_CFLAGS = @MATIO_CFLAGS@
417 MATIO_ENABLE = @MATIO_ENABLE@
418 MATIO_LIBS = @MATIO_LIBS@
419 MKDIR_P = @MKDIR_P@
420 MPI_ENABLE = @MPI_ENABLE@
421 MSGCAT = @MSGCAT@
422 MSGFMT = @MSGFMT@
423 MSGFMT_015 = @MSGFMT_015@
424 MSGMERGE = @MSGMERGE@
425 NM = @NM@
426 NMEDIT = @NMEDIT@
427 OBJDUMP = @OBJDUMP@
428 OBJEXT = @OBJEXT@
429 OCAMLC = @OCAMLC@
430 OCAMLDEP = @OCAMLDEP@
431 OCAMLLEX = @OCAMLLEX@
432 OCAMLOPT = @OCAMLOPT@
433 OCAMLYACC = @OCAMLYACC@
434 OPENMPI_CC = @OPENMPI_CC@
435 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
436 OPENMPI_CXX = @OPENMPI_CXX@
437 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
438 OPENMPI_LIBS = @OPENMPI_LIBS@
439 OPENMP_CFLAGS = @OPENMP_CFLAGS@
440 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
441 OPENMP_ENABLE = @OPENMP_ENABLE@
442 OPENMP_LIBS = @OPENMP_LIBS@
443 OTOOL = @OTOOL@
444 OTOOL64 = @OTOOL64@
445 PACKAGE = @PACKAGE@
446 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
447 PACKAGE_NAME = @PACKAGE_NAME@
448 PACKAGE_STRING = @PACKAGE_STRING@
449 PACKAGE_TARNAME = @PACKAGE_TARNAME@
450 PACKAGE_URL = @PACKAGE_URL@
451 PACKAGE_VERSION = @PACKAGE_VERSION@
452 PATH_SEPARATOR = @PATH_SEPARATOR@
453 PCRE_CFLAGS = @PCRE_CFLAGS@
454 PCRE_CONFIG = @PCRE_CONFIG@
455 PCRE_LIBS = @PCRE_LIBS@
456 PCRE_VERSION = @PCRE_VERSION@
457 PKG_CONFIG = @PKG_CONFIG@
458 POSUB = @POSUB@
459 POW_LIB = @POW_LIB@
460 PYTHON = @PYTHON@
461 RANLIB = @RANLIB@
462 RELOCATABLE = @RELOCATABLE@
463 RT_LIB = @RT_LIB@
464 SAXON = @SAXON@
465 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
466 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
467 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
468 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
469 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
470 SCIRENDERER = @SCIRENDERER@
471 SCIRENDERER_CP = @SCIRENDERER_CP@
472 SCI_CFLAGS = @SCI_CFLAGS@
473 SCI_CXXFLAGS = @SCI_CXXFLAGS@
474 SCI_FFLAGS = @SCI_FFLAGS@
475 SCI_LDFLAGS = @SCI_LDFLAGS@
476 SED = @SED@
477 SET_MAKE = @SET_MAKE@
478 SET_RELOCATABLE = @SET_RELOCATABLE@
479 SHELL = @SHELL@
480 SKINLF = @SKINLF@
481 SPLINT = @SPLINT@
482 STRIP = @STRIP@
483 SWIG_BIN = @SWIG_BIN@
484 SWIG_JAVA = @SWIG_JAVA@
485 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
486 SWIG_SCILAB = @SWIG_SCILAB@
487 TCLTK_LIBS = @TCLTK_LIBS@
488 TCL_INC_PATH = @TCL_INC_PATH@
489 TK_INC_PATH = @TK_INC_PATH@
490 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
491 UMFPACK_ENABLE = @UMFPACK_ENABLE@
492 UMFPACK_LIB = @UMFPACK_LIB@
493 USE_NLS = @USE_NLS@
494 VERSION = @VERSION@
495 WITH_OCAML = @WITH_OCAML@
496 WITH_TKSCI = @WITH_TKSCI@
497 XCOS_ENABLE = @XCOS_ENABLE@
498 XGETTEXT = @XGETTEXT@
499 XGETTEXT_015 = @XGETTEXT_015@
500 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
501 XMKMF = @XMKMF@
502 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
503 XML_APIS_EXT = @XML_APIS_EXT@
504 XML_CONFIG = @XML_CONFIG@
505 XML_FLAGS = @XML_FLAGS@
506 XML_LIBS = @XML_LIBS@
507 XML_VERSION = @XML_VERSION@
508 X_CFLAGS = @X_CFLAGS@
509 X_EXTRA_LIBS = @X_EXTRA_LIBS@
510 X_LIBS = @X_LIBS@
511 X_PRE_LIBS = @X_PRE_LIBS@
512 abs_builddir = @abs_builddir@
513 abs_srcdir = @abs_srcdir@
514 abs_top_builddir = @abs_top_builddir@
515 abs_top_srcdir = @abs_top_srcdir@
516 ac_ct_AR = @ac_ct_AR@
517 ac_ct_CC = @ac_ct_CC@
518 ac_ct_CXX = @ac_ct_CXX@
519 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
520 ac_ct_F77 = @ac_ct_F77@
521 am__include = @am__include@
522 am__leading_dot = @am__leading_dot@
523 am__quote = @am__quote@
524 am__tar = @am__tar@
525 am__untar = @am__untar@
526 bindir = @bindir@
527 build = @build@
528 build_alias = @build_alias@
529 build_cpu = @build_cpu@
530 build_os = @build_os@
531 build_vendor = @build_vendor@
532 builddir = @builddir@
533 cxx_present = @cxx_present@
534 datadir = @datadir@
535 datarootdir = @datarootdir@
536 docdir = @docdir@
537 dvidir = @dvidir@
538 exec_prefix = @exec_prefix@
539 host = @host@
540 host_alias = @host_alias@
541 host_cpu = @host_cpu@
542 host_os = @host_os@
543 host_vendor = @host_vendor@
544 htmldir = @htmldir@
545 includedir = @includedir@
546 infodir = @infodir@
547 install_sh = @install_sh@
548 libdir = @libdir@
549 libexecdir = @libexecdir@
550 localedir = @localedir@
551 localstatedir = @localstatedir@
552 mandir = @mandir@
553 mkdir_p = @mkdir_p@
554 oldincludedir = @oldincludedir@
555 pdfdir = @pdfdir@
556 prefix = @prefix@
557 program_transform_name = @program_transform_name@
558 psdir = @psdir@
559 sbindir = @sbindir@
560 sharedstatedir = @sharedstatedir@
561 srcdir = @srcdir@
562 sysconfdir = @sysconfdir@
563 target_alias = @target_alias@
564 top_build_prefix = @top_build_prefix@
565 top_builddir = @top_builddir@
566 top_srcdir = @top_srcdir@
567 modulename = umfpack
568 pkglib_LTLIBRARIES = libsciumfpack.la
569 @UMFPACK_TRUE@noinst_LTLIBRARIES = libsciumfpack-algo.la
570 libsciumfpack_la_LDFLAGS = $(AM_LDFLAGS)
571
572 #### umfpack : Conf files ####
573 libsciumfpack_la_rootdir = $(mydatadir)
574 libsciumfpack_la_root_DATA = \
575 license.txt \
576 TAUCS_license.txt \
577 UMFPACK_license.txt
578
579
580 #### umfpack : init scripts ####
581 libsciumfpack_la_etcdir = $(mydatadir)/etc
582 libsciumfpack_la_etc_DATA = etc/umfpack.quit etc/umfpack.start
583 @UMFPACK_FALSE@UMFPACK_C_SOURCES = src/noumfpack/noumfpack.c
584 @UMFPACK_TRUE@UMFPACK_C_SOURCES = src/c/taucs_scilab.c \
585 @UMFPACK_TRUE@src/c/common_umfpack.c \
586 @UMFPACK_TRUE@src/c/with_umfpack.c
587
588 @UMFPACK_TRUE@GATEWAY_C_SOURCES = sci_gateway/c/gw_umfpack.c \
589 @UMFPACK_TRUE@sci_gateway/c/sci_res_with_prec.c \
590 @UMFPACK_TRUE@sci_gateway/c/sci_taucs_chdel.c \
591 @UMFPACK_TRUE@sci_gateway/c/sci_taucs_chfact.c \
592 @UMFPACK_TRUE@sci_gateway/c/sci_taucs_chget.c \
593 @UMFPACK_TRUE@sci_gateway/c/sci_taucs_chinfo.c \
594 @UMFPACK_TRUE@sci_gateway/c/sci_taucs_chsolve.c \
595 @UMFPACK_TRUE@sci_gateway/c/sci_umf_ludel.c \
596 @UMFPACK_TRUE@sci_gateway/c/sci_umf_lufact.c \
597 @UMFPACK_TRUE@sci_gateway/c/sci_umf_luget.c \
598 @UMFPACK_TRUE@sci_gateway/c/sci_umf_luinfo.c \
599 @UMFPACK_TRUE@sci_gateway/c/sci_umf_lusolve.c \
600 @UMFPACK_TRUE@sci_gateway/c/sci_umfpack.c
601
602
603 #### umfpack : gateway declaration ####
604 @UMFPACK_TRUE@libsciumfpack_la_sci_gatewaydir = $(mydatadir)/sci_gateway
605 @UMFPACK_TRUE@libsciumfpack_la_sci_gateway_DATA = sci_gateway/umfpack_gateway.xml
606 @UMFPACK_TRUE@libsciumfpack_algo_la_SOURCES = $(UMFPACK_C_SOURCES)
607 @UMFPACK_FALSE@libsciumfpack_la_SOURCES = $(UMFPACK_C_SOURCES)
608 @UMFPACK_TRUE@libsciumfpack_la_SOURCES = $(GATEWAY_C_SOURCES)
609 @UMFPACK_TRUE@libsciumfpack_algo_la_CPPFLAGS = $(libsciumfpack_la_CPPFLAGS)
610
611 # For the code check (splint)
612 @UMFPACK_TRUE@CHECK_SRC = $(libsciumfpack_la_SOURCES)
613 @UMFPACK_TRUE@INCLUDE_FLAGS = $(libsciumfpack_la_CPPFLAGS)
614 @UMFPACK_TRUE@libsciumfpack_la_LIBADD = libsciumfpack-algo.la \
615 @UMFPACK_TRUE@  $(UMFPACK_LIB)
616 @UMFPACK_FALSE@libsciumfpack_la_CPPFLAGS = -I$(top_srcdir)/modules/api_scilab/includes/ \
617 @UMFPACK_FALSE@-I$(top_srcdir)/modules/umfpack/includes/ \
618 @UMFPACK_FALSE@-I$(top_srcdir)/modules/output_stream/includes/ \
619 @UMFPACK_FALSE@-I$(top_srcdir)/modules/localization/includes/ \
620 @UMFPACK_FALSE@$(UMFPACK_CFLAGS) \
621 @UMFPACK_FALSE@$(AM_CPPFLAGS)
622
623
624 # Crappy workaround to avoid an undefined symbol while using umfpack features
625 # For some unknown reasons, -lumfpack will not load cholmod & colamd
626 # libsciumfpack_la_LIBADD += -lcholmod -lcolamd
627 @UMFPACK_TRUE@libsciumfpack_la_CPPFLAGS = -I$(srcdir)/includes/ \
628 @UMFPACK_TRUE@                  -I$(srcdir)/src/c/ \
629 @UMFPACK_TRUE@                  -I$(top_srcdir)/modules/dynamic_link/includes/ \
630 @UMFPACK_TRUE@                  -I$(top_srcdir)/modules/output_stream/includes/ \
631 @UMFPACK_TRUE@                  -I$(top_srcdir)/modules/api_scilab/includes/ \
632 @UMFPACK_TRUE@                  -I$(top_srcdir)/modules/localization/includes/ \
633 @UMFPACK_TRUE@                  -I$(top_srcdir)/modules/mexlib/includes/ \
634 @UMFPACK_TRUE@                  $(UMFPACK_CFLAGS) \
635 @UMFPACK_TRUE@                  $(AM_CPPFLAGS)
636
637
638 # Where all the Scilab stuff is installed (macros, help, ...)
639 mydatadir = $(pkgdatadir)/modules/$(modulename)
640
641 # Set AM_* SCI detected settings
642 AM_CPPFLAGS = $(SCI_CPPFLAGS)
643 AM_CFLAGS = $(SCI_CFLAGS)
644 AM_CXXFLAGS = $(SCI_CXXFLAGS)
645 # append includes to AM_FFLAGS to manage fortran includes
646 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
647
648 # Tag shared libraries with the Scilab version
649 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
650
651 # splint options
652 SPLINT_OPTIONS = -weak -booltype BOOL
653
654 ########################### JAVA ######################################
655 #### We are delegating java compilation to ant... Thanks to that
656 #### the procedure will be the same with Microsoft Windows (C)
657 #### and Linux/Unix
658 #######################################################################
659 TARGETS_ALL = $(am__append_1)
660
661 ################ MACROS ######################
662 # Rule to build a macro
663 # NOT USED  AT THE MOMENT
664 SUFFIXES = .sci 
665
666 ########### INSTALL DOCUMENTATION ###################
667
668 # Install documentation files into the right target
669 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
670 # automake needs the html files to be present which is not the case when
671 # we are building Scilab
672
673 # Where it should be installed
674 pkgdocdir = $(mydatadir)
675
676 # What is the mask of the help source
677 DOCMASKXML = *.xml
678
679 # What is the mask of the MathML sources
680 DOCMASKMML = *.mml
681
682 ########### INSTALL DATA ###################
683 # Install macros, help & demos
684 # Where it should be installed
685 pkgmacrosdir = $(mydatadir)
686 # Which directory we process
687 MACRODIRS = macros/
688 # Mask of the Scilab sources macros
689 MACROMASK = *.sci
690 # Mask of the Scilab executable sources macros
691 MACROBUILDMASK = *.sce
692 # Mask of the Scilab compiled macros
693 MACROBINMASK = *.bin
694 # List of the standard directory for tests
695 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
696 # Where the demos should be installed
697 pkgdemosdir = $(mydatadir)
698 # List of the standard directory for demos
699 DEMOS_DIR = demos
700 # List of the standard directory for examples
701 EXAMPLES_DIR = examples
702 # Where to export JAVA archives (.jar)
703 JARDIR = jar/
704 # JAR files mask
705 JARMASK = *.jar
706 # Chapter file 
707 HELP_CHAPTERDIR = help/
708 HELP_CHAPTERFILE = addchapter.sce
709 HELP_CHAPTERLANG = en_US fr_FR pt_BR
710 all: all-am
711
712 .SUFFIXES:
713 .SUFFIXES: .sci .bin .c .lo .o .obj
714 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
715         @for dep in $?; do \
716           case '$(am__configure_deps)' in \
717             *$$dep*) \
718               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
719                 && { if test -f $@; then exit 0; else break; fi; }; \
720               exit 1;; \
721           esac; \
722         done; \
723         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/umfpack/Makefile'; \
724         $(am__cd) $(top_srcdir) && \
725           $(AUTOMAKE) --foreign modules/umfpack/Makefile
726 .PRECIOUS: Makefile
727 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
728         @case '$?' in \
729           *config.status*) \
730             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
731           *) \
732             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
733             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
734         esac;
735 $(top_srcdir)/Makefile.incl.am:
736
737 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
738         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
739
740 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
741         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
742 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
743         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
744 $(am__aclocal_m4_deps):
745
746 clean-noinstLTLIBRARIES:
747         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
748         @list='$(noinst_LTLIBRARIES)'; \
749         locs=`for p in $$list; do echo $$p; done | \
750               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
751               sort -u`; \
752         test -z "$$locs" || { \
753           echo rm -f $${locs}; \
754           rm -f $${locs}; \
755         }
756
757 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
758         @$(NORMAL_INSTALL)
759         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
760         list2=; for p in $$list; do \
761           if test -f $$p; then \
762             list2="$$list2 $$p"; \
763           else :; fi; \
764         done; \
765         test -z "$$list2" || { \
766           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
767           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
768           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
769           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
770         }
771
772 uninstall-pkglibLTLIBRARIES:
773         @$(NORMAL_UNINSTALL)
774         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
775         for p in $$list; do \
776           $(am__strip_dir) \
777           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
778           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
779         done
780
781 clean-pkglibLTLIBRARIES:
782         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
783         @list='$(pkglib_LTLIBRARIES)'; \
784         locs=`for p in $$list; do echo $$p; done | \
785               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
786               sort -u`; \
787         test -z "$$locs" || { \
788           echo rm -f $${locs}; \
789           rm -f $${locs}; \
790         }
791 src/noumfpack/$(am__dirstamp):
792         @$(MKDIR_P) src/noumfpack
793         @: > src/noumfpack/$(am__dirstamp)
794 src/noumfpack/$(DEPDIR)/$(am__dirstamp):
795         @$(MKDIR_P) src/noumfpack/$(DEPDIR)
796         @: > src/noumfpack/$(DEPDIR)/$(am__dirstamp)
797 src/noumfpack/libsciumfpack_algo_la-noumfpack.lo:  \
798         src/noumfpack/$(am__dirstamp) \
799         src/noumfpack/$(DEPDIR)/$(am__dirstamp)
800 src/c/$(am__dirstamp):
801         @$(MKDIR_P) src/c
802         @: > src/c/$(am__dirstamp)
803 src/c/$(DEPDIR)/$(am__dirstamp):
804         @$(MKDIR_P) src/c/$(DEPDIR)
805         @: > src/c/$(DEPDIR)/$(am__dirstamp)
806 src/c/libsciumfpack_algo_la-taucs_scilab.lo: src/c/$(am__dirstamp) \
807         src/c/$(DEPDIR)/$(am__dirstamp)
808 src/c/libsciumfpack_algo_la-common_umfpack.lo: src/c/$(am__dirstamp) \
809         src/c/$(DEPDIR)/$(am__dirstamp)
810 src/c/libsciumfpack_algo_la-with_umfpack.lo: src/c/$(am__dirstamp) \
811         src/c/$(DEPDIR)/$(am__dirstamp)
812
813 libsciumfpack-algo.la: $(libsciumfpack_algo_la_OBJECTS) $(libsciumfpack_algo_la_DEPENDENCIES) $(EXTRA_libsciumfpack_algo_la_DEPENDENCIES) 
814         $(AM_V_CCLD)$(LINK) $(am_libsciumfpack_algo_la_rpath) $(libsciumfpack_algo_la_OBJECTS) $(libsciumfpack_algo_la_LIBADD) $(LIBS)
815 src/noumfpack/libsciumfpack_la-noumfpack.lo:  \
816         src/noumfpack/$(am__dirstamp) \
817         src/noumfpack/$(DEPDIR)/$(am__dirstamp)
818 src/c/libsciumfpack_la-taucs_scilab.lo: src/c/$(am__dirstamp) \
819         src/c/$(DEPDIR)/$(am__dirstamp)
820 src/c/libsciumfpack_la-common_umfpack.lo: src/c/$(am__dirstamp) \
821         src/c/$(DEPDIR)/$(am__dirstamp)
822 src/c/libsciumfpack_la-with_umfpack.lo: src/c/$(am__dirstamp) \
823         src/c/$(DEPDIR)/$(am__dirstamp)
824 sci_gateway/c/$(am__dirstamp):
825         @$(MKDIR_P) sci_gateway/c
826         @: > sci_gateway/c/$(am__dirstamp)
827 sci_gateway/c/$(DEPDIR)/$(am__dirstamp):
828         @$(MKDIR_P) sci_gateway/c/$(DEPDIR)
829         @: > sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
830 sci_gateway/c/libsciumfpack_la-gw_umfpack.lo:  \
831         sci_gateway/c/$(am__dirstamp) \
832         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
833 sci_gateway/c/libsciumfpack_la-sci_res_with_prec.lo:  \
834         sci_gateway/c/$(am__dirstamp) \
835         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
836 sci_gateway/c/libsciumfpack_la-sci_taucs_chdel.lo:  \
837         sci_gateway/c/$(am__dirstamp) \
838         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
839 sci_gateway/c/libsciumfpack_la-sci_taucs_chfact.lo:  \
840         sci_gateway/c/$(am__dirstamp) \
841         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
842 sci_gateway/c/libsciumfpack_la-sci_taucs_chget.lo:  \
843         sci_gateway/c/$(am__dirstamp) \
844         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
845 sci_gateway/c/libsciumfpack_la-sci_taucs_chinfo.lo:  \
846         sci_gateway/c/$(am__dirstamp) \
847         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
848 sci_gateway/c/libsciumfpack_la-sci_taucs_chsolve.lo:  \
849         sci_gateway/c/$(am__dirstamp) \
850         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
851 sci_gateway/c/libsciumfpack_la-sci_umf_ludel.lo:  \
852         sci_gateway/c/$(am__dirstamp) \
853         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
854 sci_gateway/c/libsciumfpack_la-sci_umf_lufact.lo:  \
855         sci_gateway/c/$(am__dirstamp) \
856         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
857 sci_gateway/c/libsciumfpack_la-sci_umf_luget.lo:  \
858         sci_gateway/c/$(am__dirstamp) \
859         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
860 sci_gateway/c/libsciumfpack_la-sci_umf_luinfo.lo:  \
861         sci_gateway/c/$(am__dirstamp) \
862         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
863 sci_gateway/c/libsciumfpack_la-sci_umf_lusolve.lo:  \
864         sci_gateway/c/$(am__dirstamp) \
865         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
866 sci_gateway/c/libsciumfpack_la-sci_umfpack.lo:  \
867         sci_gateway/c/$(am__dirstamp) \
868         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
869
870 libsciumfpack.la: $(libsciumfpack_la_OBJECTS) $(libsciumfpack_la_DEPENDENCIES) $(EXTRA_libsciumfpack_la_DEPENDENCIES) 
871         $(AM_V_CCLD)$(libsciumfpack_la_LINK) -rpath $(pkglibdir) $(libsciumfpack_la_OBJECTS) $(libsciumfpack_la_LIBADD) $(LIBS)
872
873 mostlyclean-compile:
874         -rm -f *.$(OBJEXT)
875         -rm -f sci_gateway/c/*.$(OBJEXT)
876         -rm -f sci_gateway/c/*.lo
877         -rm -f src/c/*.$(OBJEXT)
878         -rm -f src/c/*.lo
879         -rm -f src/noumfpack/*.$(OBJEXT)
880         -rm -f src/noumfpack/*.lo
881
882 distclean-compile:
883         -rm -f *.tab.c
884
885 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciumfpack_la-gw_umfpack.Plo@am__quote@
886 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_res_with_prec.Plo@am__quote@
887 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chdel.Plo@am__quote@
888 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chfact.Plo@am__quote@
889 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chget.Plo@am__quote@
890 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chinfo.Plo@am__quote@
891 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chsolve.Plo@am__quote@
892 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_ludel.Plo@am__quote@
893 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_lufact.Plo@am__quote@
894 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_luget.Plo@am__quote@
895 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_luinfo.Plo@am__quote@
896 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_lusolve.Plo@am__quote@
897 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umfpack.Plo@am__quote@
898 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciumfpack_algo_la-common_umfpack.Plo@am__quote@
899 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciumfpack_algo_la-taucs_scilab.Plo@am__quote@
900 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciumfpack_algo_la-with_umfpack.Plo@am__quote@
901 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciumfpack_la-common_umfpack.Plo@am__quote@
902 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciumfpack_la-taucs_scilab.Plo@am__quote@
903 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciumfpack_la-with_umfpack.Plo@am__quote@
904 @AMDEP_TRUE@@am__include@ @am__quote@src/noumfpack/$(DEPDIR)/libsciumfpack_algo_la-noumfpack.Plo@am__quote@
905 @AMDEP_TRUE@@am__include@ @am__quote@src/noumfpack/$(DEPDIR)/libsciumfpack_la-noumfpack.Plo@am__quote@
906
907 .c.o:
908 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
909 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
910 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
911 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
912 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
913 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
914
915 .c.obj:
916 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
917 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
918 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
919 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
920 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
921 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
922
923 .c.lo:
924 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
925 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
926 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
927 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
928 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
929 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
930
931 src/noumfpack/libsciumfpack_algo_la-noumfpack.lo: src/noumfpack/noumfpack.c
932 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/noumfpack/libsciumfpack_algo_la-noumfpack.lo -MD -MP -MF src/noumfpack/$(DEPDIR)/libsciumfpack_algo_la-noumfpack.Tpo -c -o src/noumfpack/libsciumfpack_algo_la-noumfpack.lo `test -f 'src/noumfpack/noumfpack.c' || echo '$(srcdir)/'`src/noumfpack/noumfpack.c
933 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/noumfpack/$(DEPDIR)/libsciumfpack_algo_la-noumfpack.Tpo src/noumfpack/$(DEPDIR)/libsciumfpack_algo_la-noumfpack.Plo
934 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/noumfpack/noumfpack.c' object='src/noumfpack/libsciumfpack_algo_la-noumfpack.lo' libtool=yes @AMDEPBACKSLASH@
935 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
936 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/noumfpack/libsciumfpack_algo_la-noumfpack.lo `test -f 'src/noumfpack/noumfpack.c' || echo '$(srcdir)/'`src/noumfpack/noumfpack.c
937
938 src/c/libsciumfpack_algo_la-taucs_scilab.lo: src/c/taucs_scilab.c
939 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciumfpack_algo_la-taucs_scilab.lo -MD -MP -MF src/c/$(DEPDIR)/libsciumfpack_algo_la-taucs_scilab.Tpo -c -o src/c/libsciumfpack_algo_la-taucs_scilab.lo `test -f 'src/c/taucs_scilab.c' || echo '$(srcdir)/'`src/c/taucs_scilab.c
940 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciumfpack_algo_la-taucs_scilab.Tpo src/c/$(DEPDIR)/libsciumfpack_algo_la-taucs_scilab.Plo
941 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/taucs_scilab.c' object='src/c/libsciumfpack_algo_la-taucs_scilab.lo' libtool=yes @AMDEPBACKSLASH@
942 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
943 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciumfpack_algo_la-taucs_scilab.lo `test -f 'src/c/taucs_scilab.c' || echo '$(srcdir)/'`src/c/taucs_scilab.c
944
945 src/c/libsciumfpack_algo_la-common_umfpack.lo: src/c/common_umfpack.c
946 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciumfpack_algo_la-common_umfpack.lo -MD -MP -MF src/c/$(DEPDIR)/libsciumfpack_algo_la-common_umfpack.Tpo -c -o src/c/libsciumfpack_algo_la-common_umfpack.lo `test -f 'src/c/common_umfpack.c' || echo '$(srcdir)/'`src/c/common_umfpack.c
947 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciumfpack_algo_la-common_umfpack.Tpo src/c/$(DEPDIR)/libsciumfpack_algo_la-common_umfpack.Plo
948 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/common_umfpack.c' object='src/c/libsciumfpack_algo_la-common_umfpack.lo' libtool=yes @AMDEPBACKSLASH@
949 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
950 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciumfpack_algo_la-common_umfpack.lo `test -f 'src/c/common_umfpack.c' || echo '$(srcdir)/'`src/c/common_umfpack.c
951
952 src/c/libsciumfpack_algo_la-with_umfpack.lo: src/c/with_umfpack.c
953 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciumfpack_algo_la-with_umfpack.lo -MD -MP -MF src/c/$(DEPDIR)/libsciumfpack_algo_la-with_umfpack.Tpo -c -o src/c/libsciumfpack_algo_la-with_umfpack.lo `test -f 'src/c/with_umfpack.c' || echo '$(srcdir)/'`src/c/with_umfpack.c
954 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciumfpack_algo_la-with_umfpack.Tpo src/c/$(DEPDIR)/libsciumfpack_algo_la-with_umfpack.Plo
955 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/with_umfpack.c' object='src/c/libsciumfpack_algo_la-with_umfpack.lo' libtool=yes @AMDEPBACKSLASH@
956 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
957 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciumfpack_algo_la-with_umfpack.lo `test -f 'src/c/with_umfpack.c' || echo '$(srcdir)/'`src/c/with_umfpack.c
958
959 src/noumfpack/libsciumfpack_la-noumfpack.lo: src/noumfpack/noumfpack.c
960 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/noumfpack/libsciumfpack_la-noumfpack.lo -MD -MP -MF src/noumfpack/$(DEPDIR)/libsciumfpack_la-noumfpack.Tpo -c -o src/noumfpack/libsciumfpack_la-noumfpack.lo `test -f 'src/noumfpack/noumfpack.c' || echo '$(srcdir)/'`src/noumfpack/noumfpack.c
961 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/noumfpack/$(DEPDIR)/libsciumfpack_la-noumfpack.Tpo src/noumfpack/$(DEPDIR)/libsciumfpack_la-noumfpack.Plo
962 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/noumfpack/noumfpack.c' object='src/noumfpack/libsciumfpack_la-noumfpack.lo' libtool=yes @AMDEPBACKSLASH@
963 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
964 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/noumfpack/libsciumfpack_la-noumfpack.lo `test -f 'src/noumfpack/noumfpack.c' || echo '$(srcdir)/'`src/noumfpack/noumfpack.c
965
966 src/c/libsciumfpack_la-taucs_scilab.lo: src/c/taucs_scilab.c
967 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciumfpack_la-taucs_scilab.lo -MD -MP -MF src/c/$(DEPDIR)/libsciumfpack_la-taucs_scilab.Tpo -c -o src/c/libsciumfpack_la-taucs_scilab.lo `test -f 'src/c/taucs_scilab.c' || echo '$(srcdir)/'`src/c/taucs_scilab.c
968 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciumfpack_la-taucs_scilab.Tpo src/c/$(DEPDIR)/libsciumfpack_la-taucs_scilab.Plo
969 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/taucs_scilab.c' object='src/c/libsciumfpack_la-taucs_scilab.lo' libtool=yes @AMDEPBACKSLASH@
970 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
971 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciumfpack_la-taucs_scilab.lo `test -f 'src/c/taucs_scilab.c' || echo '$(srcdir)/'`src/c/taucs_scilab.c
972
973 src/c/libsciumfpack_la-common_umfpack.lo: src/c/common_umfpack.c
974 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciumfpack_la-common_umfpack.lo -MD -MP -MF src/c/$(DEPDIR)/libsciumfpack_la-common_umfpack.Tpo -c -o src/c/libsciumfpack_la-common_umfpack.lo `test -f 'src/c/common_umfpack.c' || echo '$(srcdir)/'`src/c/common_umfpack.c
975 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciumfpack_la-common_umfpack.Tpo src/c/$(DEPDIR)/libsciumfpack_la-common_umfpack.Plo
976 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/common_umfpack.c' object='src/c/libsciumfpack_la-common_umfpack.lo' libtool=yes @AMDEPBACKSLASH@
977 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
978 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciumfpack_la-common_umfpack.lo `test -f 'src/c/common_umfpack.c' || echo '$(srcdir)/'`src/c/common_umfpack.c
979
980 src/c/libsciumfpack_la-with_umfpack.lo: src/c/with_umfpack.c
981 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciumfpack_la-with_umfpack.lo -MD -MP -MF src/c/$(DEPDIR)/libsciumfpack_la-with_umfpack.Tpo -c -o src/c/libsciumfpack_la-with_umfpack.lo `test -f 'src/c/with_umfpack.c' || echo '$(srcdir)/'`src/c/with_umfpack.c
982 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciumfpack_la-with_umfpack.Tpo src/c/$(DEPDIR)/libsciumfpack_la-with_umfpack.Plo
983 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/with_umfpack.c' object='src/c/libsciumfpack_la-with_umfpack.lo' libtool=yes @AMDEPBACKSLASH@
984 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
985 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciumfpack_la-with_umfpack.lo `test -f 'src/c/with_umfpack.c' || echo '$(srcdir)/'`src/c/with_umfpack.c
986
987 sci_gateway/c/libsciumfpack_la-gw_umfpack.lo: sci_gateway/c/gw_umfpack.c
988 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciumfpack_la-gw_umfpack.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciumfpack_la-gw_umfpack.Tpo -c -o sci_gateway/c/libsciumfpack_la-gw_umfpack.lo `test -f 'sci_gateway/c/gw_umfpack.c' || echo '$(srcdir)/'`sci_gateway/c/gw_umfpack.c
989 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciumfpack_la-gw_umfpack.Tpo sci_gateway/c/$(DEPDIR)/libsciumfpack_la-gw_umfpack.Plo
990 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_umfpack.c' object='sci_gateway/c/libsciumfpack_la-gw_umfpack.lo' libtool=yes @AMDEPBACKSLASH@
991 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
992 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciumfpack_la-gw_umfpack.lo `test -f 'sci_gateway/c/gw_umfpack.c' || echo '$(srcdir)/'`sci_gateway/c/gw_umfpack.c
993
994 sci_gateway/c/libsciumfpack_la-sci_res_with_prec.lo: sci_gateway/c/sci_res_with_prec.c
995 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciumfpack_la-sci_res_with_prec.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_res_with_prec.Tpo -c -o sci_gateway/c/libsciumfpack_la-sci_res_with_prec.lo `test -f 'sci_gateway/c/sci_res_with_prec.c' || echo '$(srcdir)/'`sci_gateway/c/sci_res_with_prec.c
996 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_res_with_prec.Tpo sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_res_with_prec.Plo
997 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_res_with_prec.c' object='sci_gateway/c/libsciumfpack_la-sci_res_with_prec.lo' libtool=yes @AMDEPBACKSLASH@
998 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
999 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciumfpack_la-sci_res_with_prec.lo `test -f 'sci_gateway/c/sci_res_with_prec.c' || echo '$(srcdir)/'`sci_gateway/c/sci_res_with_prec.c
1000
1001 sci_gateway/c/libsciumfpack_la-sci_taucs_chdel.lo: sci_gateway/c/sci_taucs_chdel.c
1002 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciumfpack_la-sci_taucs_chdel.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chdel.Tpo -c -o sci_gateway/c/libsciumfpack_la-sci_taucs_chdel.lo `test -f 'sci_gateway/c/sci_taucs_chdel.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chdel.c
1003 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chdel.Tpo sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chdel.Plo
1004 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_taucs_chdel.c' object='sci_gateway/c/libsciumfpack_la-sci_taucs_chdel.lo' libtool=yes @AMDEPBACKSLASH@
1005 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1006 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciumfpack_la-sci_taucs_chdel.lo `test -f 'sci_gateway/c/sci_taucs_chdel.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chdel.c
1007
1008 sci_gateway/c/libsciumfpack_la-sci_taucs_chfact.lo: sci_gateway/c/sci_taucs_chfact.c
1009 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciumfpack_la-sci_taucs_chfact.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chfact.Tpo -c -o sci_gateway/c/libsciumfpack_la-sci_taucs_chfact.lo `test -f 'sci_gateway/c/sci_taucs_chfact.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chfact.c
1010 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chfact.Tpo sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chfact.Plo
1011 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_taucs_chfact.c' object='sci_gateway/c/libsciumfpack_la-sci_taucs_chfact.lo' libtool=yes @AMDEPBACKSLASH@
1012 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1013 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciumfpack_la-sci_taucs_chfact.lo `test -f 'sci_gateway/c/sci_taucs_chfact.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chfact.c
1014
1015 sci_gateway/c/libsciumfpack_la-sci_taucs_chget.lo: sci_gateway/c/sci_taucs_chget.c
1016 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciumfpack_la-sci_taucs_chget.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chget.Tpo -c -o sci_gateway/c/libsciumfpack_la-sci_taucs_chget.lo `test -f 'sci_gateway/c/sci_taucs_chget.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chget.c
1017 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chget.Tpo sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chget.Plo
1018 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_taucs_chget.c' object='sci_gateway/c/libsciumfpack_la-sci_taucs_chget.lo' libtool=yes @AMDEPBACKSLASH@
1019 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1020 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciumfpack_la-sci_taucs_chget.lo `test -f 'sci_gateway/c/sci_taucs_chget.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chget.c
1021
1022 sci_gateway/c/libsciumfpack_la-sci_taucs_chinfo.lo: sci_gateway/c/sci_taucs_chinfo.c
1023 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciumfpack_la-sci_taucs_chinfo.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chinfo.Tpo -c -o sci_gateway/c/libsciumfpack_la-sci_taucs_chinfo.lo `test -f 'sci_gateway/c/sci_taucs_chinfo.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chinfo.c
1024 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chinfo.Tpo sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chinfo.Plo
1025 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_taucs_chinfo.c' object='sci_gateway/c/libsciumfpack_la-sci_taucs_chinfo.lo' libtool=yes @AMDEPBACKSLASH@
1026 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1027 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciumfpack_la-sci_taucs_chinfo.lo `test -f 'sci_gateway/c/sci_taucs_chinfo.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chinfo.c
1028
1029 sci_gateway/c/libsciumfpack_la-sci_taucs_chsolve.lo: sci_gateway/c/sci_taucs_chsolve.c
1030 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciumfpack_la-sci_taucs_chsolve.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chsolve.Tpo -c -o sci_gateway/c/libsciumfpack_la-sci_taucs_chsolve.lo `test -f 'sci_gateway/c/sci_taucs_chsolve.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chsolve.c
1031 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chsolve.Tpo sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chsolve.Plo
1032 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_taucs_chsolve.c' object='sci_gateway/c/libsciumfpack_la-sci_taucs_chsolve.lo' libtool=yes @AMDEPBACKSLASH@
1033 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1034 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciumfpack_la-sci_taucs_chsolve.lo `test -f 'sci_gateway/c/sci_taucs_chsolve.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chsolve.c
1035
1036 sci_gateway/c/libsciumfpack_la-sci_umf_ludel.lo: sci_gateway/c/sci_umf_ludel.c
1037 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciumfpack_la-sci_umf_ludel.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_ludel.Tpo -c -o sci_gateway/c/libsciumfpack_la-sci_umf_ludel.lo `test -f 'sci_gateway/c/sci_umf_ludel.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_ludel.c
1038 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_ludel.Tpo sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_ludel.Plo
1039 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_umf_ludel.c' object='sci_gateway/c/libsciumfpack_la-sci_umf_ludel.lo' libtool=yes @AMDEPBACKSLASH@
1040 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1041 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciumfpack_la-sci_umf_ludel.lo `test -f 'sci_gateway/c/sci_umf_ludel.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_ludel.c
1042
1043 sci_gateway/c/libsciumfpack_la-sci_umf_lufact.lo: sci_gateway/c/sci_umf_lufact.c
1044 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciumfpack_la-sci_umf_lufact.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_lufact.Tpo -c -o sci_gateway/c/libsciumfpack_la-sci_umf_lufact.lo `test -f 'sci_gateway/c/sci_umf_lufact.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_lufact.c
1045 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_lufact.Tpo sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_lufact.Plo
1046 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_umf_lufact.c' object='sci_gateway/c/libsciumfpack_la-sci_umf_lufact.lo' libtool=yes @AMDEPBACKSLASH@
1047 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1048 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciumfpack_la-sci_umf_lufact.lo `test -f 'sci_gateway/c/sci_umf_lufact.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_lufact.c
1049
1050 sci_gateway/c/libsciumfpack_la-sci_umf_luget.lo: sci_gateway/c/sci_umf_luget.c
1051 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciumfpack_la-sci_umf_luget.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_luget.Tpo -c -o sci_gateway/c/libsciumfpack_la-sci_umf_luget.lo `test -f 'sci_gateway/c/sci_umf_luget.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_luget.c
1052 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_luget.Tpo sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_luget.Plo
1053 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_umf_luget.c' object='sci_gateway/c/libsciumfpack_la-sci_umf_luget.lo' libtool=yes @AMDEPBACKSLASH@
1054 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1055 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciumfpack_la-sci_umf_luget.lo `test -f 'sci_gateway/c/sci_umf_luget.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_luget.c
1056
1057 sci_gateway/c/libsciumfpack_la-sci_umf_luinfo.lo: sci_gateway/c/sci_umf_luinfo.c
1058 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciumfpack_la-sci_umf_luinfo.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_luinfo.Tpo -c -o sci_gateway/c/libsciumfpack_la-sci_umf_luinfo.lo `test -f 'sci_gateway/c/sci_umf_luinfo.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_luinfo.c
1059 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_luinfo.Tpo sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_luinfo.Plo
1060 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_umf_luinfo.c' object='sci_gateway/c/libsciumfpack_la-sci_umf_luinfo.lo' libtool=yes @AMDEPBACKSLASH@
1061 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1062 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciumfpack_la-sci_umf_luinfo.lo `test -f 'sci_gateway/c/sci_umf_luinfo.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_luinfo.c
1063
1064 sci_gateway/c/libsciumfpack_la-sci_umf_lusolve.lo: sci_gateway/c/sci_umf_lusolve.c
1065 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciumfpack_la-sci_umf_lusolve.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_lusolve.Tpo -c -o sci_gateway/c/libsciumfpack_la-sci_umf_lusolve.lo `test -f 'sci_gateway/c/sci_umf_lusolve.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_lusolve.c
1066 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_lusolve.Tpo sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_lusolve.Plo
1067 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_umf_lusolve.c' object='sci_gateway/c/libsciumfpack_la-sci_umf_lusolve.lo' libtool=yes @AMDEPBACKSLASH@
1068 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1069 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciumfpack_la-sci_umf_lusolve.lo `test -f 'sci_gateway/c/sci_umf_lusolve.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_lusolve.c
1070
1071 sci_gateway/c/libsciumfpack_la-sci_umfpack.lo: sci_gateway/c/sci_umfpack.c
1072 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciumfpack_la-sci_umfpack.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umfpack.Tpo -c -o sci_gateway/c/libsciumfpack_la-sci_umfpack.lo `test -f 'sci_gateway/c/sci_umfpack.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umfpack.c
1073 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umfpack.Tpo sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umfpack.Plo
1074 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_umfpack.c' object='sci_gateway/c/libsciumfpack_la-sci_umfpack.lo' libtool=yes @AMDEPBACKSLASH@
1075 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1076 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciumfpack_la-sci_umfpack.lo `test -f 'sci_gateway/c/sci_umfpack.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umfpack.c
1077
1078 mostlyclean-libtool:
1079         -rm -f *.lo
1080
1081 clean-libtool:
1082         -rm -rf .libs _libs
1083         -rm -rf sci_gateway/c/.libs sci_gateway/c/_libs
1084         -rm -rf src/c/.libs src/c/_libs
1085         -rm -rf src/noumfpack/.libs src/noumfpack/_libs
1086 install-libsciumfpack_la_etcDATA: $(libsciumfpack_la_etc_DATA)
1087         @$(NORMAL_INSTALL)
1088         @list='$(libsciumfpack_la_etc_DATA)'; test -n "$(libsciumfpack_la_etcdir)" || list=; \
1089         if test -n "$$list"; then \
1090           echo " $(MKDIR_P) '$(DESTDIR)$(libsciumfpack_la_etcdir)'"; \
1091           $(MKDIR_P) "$(DESTDIR)$(libsciumfpack_la_etcdir)" || exit 1; \
1092         fi; \
1093         for p in $$list; do \
1094           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1095           echo "$$d$$p"; \
1096         done | $(am__base_list) | \
1097         while read files; do \
1098           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciumfpack_la_etcdir)'"; \
1099           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciumfpack_la_etcdir)" || exit $$?; \
1100         done
1101
1102 uninstall-libsciumfpack_la_etcDATA:
1103         @$(NORMAL_UNINSTALL)
1104         @list='$(libsciumfpack_la_etc_DATA)'; test -n "$(libsciumfpack_la_etcdir)" || list=; \
1105         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1106         dir='$(DESTDIR)$(libsciumfpack_la_etcdir)'; $(am__uninstall_files_from_dir)
1107 install-libsciumfpack_la_rootDATA: $(libsciumfpack_la_root_DATA)
1108         @$(NORMAL_INSTALL)
1109         @list='$(libsciumfpack_la_root_DATA)'; test -n "$(libsciumfpack_la_rootdir)" || list=; \
1110         if test -n "$$list"; then \
1111           echo " $(MKDIR_P) '$(DESTDIR)$(libsciumfpack_la_rootdir)'"; \
1112           $(MKDIR_P) "$(DESTDIR)$(libsciumfpack_la_rootdir)" || exit 1; \
1113         fi; \
1114         for p in $$list; do \
1115           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1116           echo "$$d$$p"; \
1117         done | $(am__base_list) | \
1118         while read files; do \
1119           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciumfpack_la_rootdir)'"; \
1120           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciumfpack_la_rootdir)" || exit $$?; \
1121         done
1122
1123 uninstall-libsciumfpack_la_rootDATA:
1124         @$(NORMAL_UNINSTALL)
1125         @list='$(libsciumfpack_la_root_DATA)'; test -n "$(libsciumfpack_la_rootdir)" || list=; \
1126         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1127         dir='$(DESTDIR)$(libsciumfpack_la_rootdir)'; $(am__uninstall_files_from_dir)
1128 install-libsciumfpack_la_sci_gatewayDATA: $(libsciumfpack_la_sci_gateway_DATA)
1129         @$(NORMAL_INSTALL)
1130         @list='$(libsciumfpack_la_sci_gateway_DATA)'; test -n "$(libsciumfpack_la_sci_gatewaydir)" || list=; \
1131         if test -n "$$list"; then \
1132           echo " $(MKDIR_P) '$(DESTDIR)$(libsciumfpack_la_sci_gatewaydir)'"; \
1133           $(MKDIR_P) "$(DESTDIR)$(libsciumfpack_la_sci_gatewaydir)" || exit 1; \
1134         fi; \
1135         for p in $$list; do \
1136           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1137           echo "$$d$$p"; \
1138         done | $(am__base_list) | \
1139         while read files; do \
1140           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciumfpack_la_sci_gatewaydir)'"; \
1141           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciumfpack_la_sci_gatewaydir)" || exit $$?; \
1142         done
1143
1144 uninstall-libsciumfpack_la_sci_gatewayDATA:
1145         @$(NORMAL_UNINSTALL)
1146         @list='$(libsciumfpack_la_sci_gateway_DATA)'; test -n "$(libsciumfpack_la_sci_gatewaydir)" || list=; \
1147         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1148         dir='$(DESTDIR)$(libsciumfpack_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1149
1150 ID: $(am__tagged_files)
1151         $(am__define_uniq_tagged_files); mkid -fID $$unique
1152 tags: tags-am
1153 TAGS: tags
1154
1155 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1156         set x; \
1157         here=`pwd`; \
1158         $(am__define_uniq_tagged_files); \
1159         shift; \
1160         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1161           test -n "$$unique" || unique=$$empty_fix; \
1162           if test $$# -gt 0; then \
1163             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1164               "$$@" $$unique; \
1165           else \
1166             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1167               $$unique; \
1168           fi; \
1169         fi
1170 ctags: ctags-am
1171
1172 CTAGS: ctags
1173 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1174         $(am__define_uniq_tagged_files); \
1175         test -z "$(CTAGS_ARGS)$$unique" \
1176           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1177              $$unique
1178
1179 GTAGS:
1180         here=`$(am__cd) $(top_builddir) && pwd` \
1181           && $(am__cd) $(top_srcdir) \
1182           && gtags -i $(GTAGS_ARGS) "$$here"
1183 cscopelist: cscopelist-am
1184
1185 cscopelist-am: $(am__tagged_files)
1186         list='$(am__tagged_files)'; \
1187         case "$(srcdir)" in \
1188           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1189           *) sdir=$(subdir)/$(srcdir) ;; \
1190         esac; \
1191         for i in $$list; do \
1192           if test -f "$$i"; then \
1193             echo "$(subdir)/$$i"; \
1194           else \
1195             echo "$$sdir/$$i"; \
1196           fi; \
1197         done >> $(top_builddir)/cscope.files
1198
1199 distclean-tags:
1200         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1201
1202 distdir: $(DISTFILES)
1203         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1204         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1205         list='$(DISTFILES)'; \
1206           dist_files=`for file in $$list; do echo $$file; done | \
1207           sed -e "s|^$$srcdirstrip/||;t" \
1208               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1209         case $$dist_files in \
1210           */*) $(MKDIR_P) `echo "$$dist_files" | \
1211                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1212                            sort -u` ;; \
1213         esac; \
1214         for file in $$dist_files; do \
1215           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1216           if test -d $$d/$$file; then \
1217             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1218             if test -d "$(distdir)/$$file"; then \
1219               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1220             fi; \
1221             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1222               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1223               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1224             fi; \
1225             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1226           else \
1227             test -f "$(distdir)/$$file" \
1228             || cp -p $$d/$$file "$(distdir)/$$file" \
1229             || exit 1; \
1230           fi; \
1231         done
1232 check-am: all-am
1233         $(MAKE) $(AM_MAKEFLAGS) check-local
1234 check: check-am
1235 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1236 installdirs:
1237         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciumfpack_la_etcdir)" "$(DESTDIR)$(libsciumfpack_la_rootdir)" "$(DESTDIR)$(libsciumfpack_la_sci_gatewaydir)"; do \
1238           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1239         done
1240 install: install-am
1241 install-exec: install-exec-am
1242 install-data: install-data-am
1243 uninstall: uninstall-am
1244
1245 install-am: all-am
1246         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1247
1248 installcheck: installcheck-am
1249 install-strip:
1250         if test -z '$(STRIP)'; then \
1251           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1252             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1253               install; \
1254         else \
1255           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1256             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1257             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1258         fi
1259 mostlyclean-generic:
1260
1261 clean-generic:
1262
1263 distclean-generic:
1264         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1265         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1266         -rm -f sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1267         -rm -f sci_gateway/c/$(am__dirstamp)
1268         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1269         -rm -f src/c/$(am__dirstamp)
1270         -rm -f src/noumfpack/$(DEPDIR)/$(am__dirstamp)
1271         -rm -f src/noumfpack/$(am__dirstamp)
1272
1273 maintainer-clean-generic:
1274         @echo "This command is intended for maintainers to use"
1275         @echo "it deletes files that may require special tools to rebuild."
1276 clean: clean-am
1277
1278 clean-am: clean-generic clean-libtool clean-local \
1279         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1280
1281 distclean: distclean-am
1282         -rm -rf sci_gateway/c/$(DEPDIR) src/c/$(DEPDIR) src/noumfpack/$(DEPDIR)
1283         -rm -f Makefile
1284 distclean-am: clean-am distclean-compile distclean-generic \
1285         distclean-local distclean-tags
1286
1287 dvi: dvi-am
1288
1289 dvi-am:
1290
1291 html: html-am
1292
1293 html-am:
1294
1295 info: info-am
1296
1297 info-am:
1298
1299 install-data-am: install-data-local install-libsciumfpack_la_etcDATA \
1300         install-libsciumfpack_la_rootDATA \
1301         install-libsciumfpack_la_sci_gatewayDATA
1302
1303 install-dvi: install-dvi-am
1304
1305 install-dvi-am:
1306
1307 install-exec-am: install-pkglibLTLIBRARIES
1308
1309 install-html: install-html-am
1310
1311 install-html-am: install-html-local
1312
1313 install-info: install-info-am
1314
1315 install-info-am:
1316
1317 install-man:
1318
1319 install-pdf: install-pdf-am
1320
1321 install-pdf-am:
1322
1323 install-ps: install-ps-am
1324
1325 install-ps-am:
1326
1327 installcheck-am:
1328
1329 maintainer-clean: maintainer-clean-am
1330         -rm -rf sci_gateway/c/$(DEPDIR) src/c/$(DEPDIR) src/noumfpack/$(DEPDIR)
1331         -rm -f Makefile
1332 maintainer-clean-am: distclean-am maintainer-clean-generic
1333
1334 mostlyclean: mostlyclean-am
1335
1336 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1337         mostlyclean-libtool
1338
1339 pdf: pdf-am
1340
1341 pdf-am:
1342
1343 ps: ps-am
1344
1345 ps-am:
1346
1347 uninstall-am: uninstall-libsciumfpack_la_etcDATA \
1348         uninstall-libsciumfpack_la_rootDATA \
1349         uninstall-libsciumfpack_la_sci_gatewayDATA \
1350         uninstall-pkglibLTLIBRARIES
1351
1352 .MAKE: check-am install-am install-strip
1353
1354 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1355         check-local clean clean-generic clean-libtool clean-local \
1356         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1357         ctags ctags-am distclean distclean-compile distclean-generic \
1358         distclean-libtool distclean-local distclean-tags distdir dvi \
1359         dvi-am html html-am info info-am install install-am \
1360         install-data install-data-am install-data-local install-dvi \
1361         install-dvi-am install-exec install-exec-am install-html \
1362         install-html-am install-html-local install-info \
1363         install-info-am install-libsciumfpack_la_etcDATA \
1364         install-libsciumfpack_la_rootDATA \
1365         install-libsciumfpack_la_sci_gatewayDATA install-man \
1366         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1367         install-ps install-ps-am install-strip installcheck \
1368         installcheck-am installdirs maintainer-clean \
1369         maintainer-clean-generic mostlyclean mostlyclean-compile \
1370         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1371         tags tags-am uninstall uninstall-am \
1372         uninstall-libsciumfpack_la_etcDATA \
1373         uninstall-libsciumfpack_la_rootDATA \
1374         uninstall-libsciumfpack_la_sci_gatewayDATA \
1375         uninstall-pkglibLTLIBRARIES
1376
1377
1378 # This target enables tests for Scilab
1379 check-local: $(top_builddir)/scilab-bin test
1380         if test -d $(mydatadir)/tests; then \
1381           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1382         fi
1383 check-code:
1384         if test -f build.xml; then \
1385                 $(ANT) checkstyle; \
1386         fi
1387         if test -x "$(SPLINT)"; then \
1388                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1389         fi
1390 @NEED_JAVA_TRUE@java:
1391 # Some configurations needs to export JAVA_HOME in the current env
1392 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1393 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1394 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1395 @NEED_JAVA_TRUE@                $(ANT); \
1396 @NEED_JAVA_TRUE@        fi
1397
1398 @NEED_JAVA_TRUE@clean-java:
1399 # Some configurations needs to export JAVA_HOME in the current env
1400 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1401 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1402 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1403 @NEED_JAVA_TRUE@                $(ANT) clean; \
1404 @NEED_JAVA_TRUE@        fi;
1405
1406 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1407 # We call the target swig-build on the variable SWIG_WRAPPERS
1408
1409 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1410 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1411 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1412 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1413 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1414 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1415 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1416 @SWIG_TRUE@             done; \
1417 @SWIG_TRUE@     fi
1418
1419 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1420 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1421 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1422 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1423 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1424 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1425 @SWIG_TRUE@             done; \
1426 @SWIG_TRUE@     fi
1427
1428 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1429 # We call the target swig-build on the variable SWIG_WRAPPERS
1430
1431 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1432 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1433 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1434 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1435 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1436 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1437 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1438 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1439 @GIWS_TRUE@                     else \
1440 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1441 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1442 @GIWS_TRUE@                     fi \
1443 @GIWS_TRUE@             done; \
1444 @GIWS_TRUE@     fi
1445
1446 @GIWS_TRUE@giws-exception:
1447 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1448 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1449 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1450
1451 macros:
1452         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1453                 echo "Error : Cannot build $< : Scilab has not been built"; \
1454         else \
1455                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1456         fi)
1457
1458 # Removes the macros
1459 clean-macros:
1460 # Removes macros (*.bin generated from .sci)
1461         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1462                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1463                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1464         done
1465
1466 test:
1467 # More tests could be added here
1468         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1469         if test -f build.xml -a $$USEANT -eq 1; then \
1470                 $(ANT) test; \
1471         fi
1472
1473 all-local: $(TARGETS_ALL)
1474
1475 .sci.bin:
1476         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1477         echo "Error : Cannot build $< : Scilab has not been build"; \
1478         else \
1479         echo "Creating $@"; \
1480         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1481         fi )
1482
1483 install-html-local:
1484
1485 install-data-local-local:
1486 # Mainly for javasci
1487         @if test -d $(srcdir)/javadoc; then \
1488                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1489         fi
1490 # If the user wants the help sources to be installed
1491 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1492 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1493 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1494 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1495 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1496 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1497 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1498 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1499 @INSTALL_HELP_XML_TRUE@           done ; \
1500 @INSTALL_HELP_XML_TRUE@         fi; \
1501 @INSTALL_HELP_XML_TRUE@  fi; \
1502 @INSTALL_HELP_XML_TRUE@ done; \
1503 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1504 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1505 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1506 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1507 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1508 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1509 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1510 @INSTALL_HELP_XML_TRUE@           done ; \
1511 @INSTALL_HELP_XML_TRUE@         fi; \
1512 @INSTALL_HELP_XML_TRUE@ fi
1513 install-data-local:
1514 # Install the tests
1515         @echo "-------- Install tests (if any) --------"; \
1516         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1517           if test -d $(srcdir)/$$dir/; then \
1518             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1519                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1520                     if test -d "$(srcdir)/$$dir/$$file"; then \
1521                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1522                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1523                     else \
1524                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1525                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1526                     fi \
1527                   done; \
1528           fi; \
1529         done
1530 # Install the help chapter
1531         @echo "-------- Install the help chapter (if any) --------"; \
1532         for lang in $(HELP_CHAPTERLANG); do \
1533                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1534                 if test -f $$HELPFILE; then \
1535                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1536                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1537                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1538                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1539                 fi; \
1540         done
1541 # Install the demos & examples
1542         @echo "-------- Install demos & examples (if any) --------"; \
1543         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1544           if test -d $(srcdir)/$$dir/; then \
1545             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1546                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1547                     if test -d "$(srcdir)/$$dir/$$file"; then \
1548                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1549                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1550                     else \
1551                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1552                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1553                     fi \
1554                   done; \
1555           fi; \
1556         done
1557 # Install the macros
1558         @echo "-------- Install macros (if any) --------"; \
1559         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1560           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1561                 if test -d $(srcdir)/$$dir/; then \
1562                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1563                         if test -n "$(MACROSSPECIALEXT)"; then \
1564                                 specialExtDir=""; \
1565                                 for specialExt in $(MACROSSPECIALEXT); do \
1566                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1567                                 done; \
1568                                 FILELIST="$$FILELIST $$specialExtDir"; \
1569                         fi; \
1570                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1571                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1572                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1573                   done; \
1574                 fi; \
1575         done
1576 # Install java files (.jar)
1577         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1578         echo "-------- Install jar files --------"; \
1579     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1580           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1581                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1582                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1583           done ; \
1584         fi
1585
1586 ########### CLEAN ###################
1587 # Clean help (generated automatically by Scilab)
1588 # It used to clean the macro (clean-macros) but this was causing
1589 # make clean && make to fail Scilab startup
1590 @NEED_JAVA_TRUE@clean-local: clean-java
1591 @NEED_JAVA_FALSE@clean-local:
1592
1593 distclean-local:
1594         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1595
1596 .PHONY: macros java swig giws
1597
1598 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1599 # Otherwise a system limit (for SysV at least) may be exceeded.
1600 .NOEXPORT: